[maemo-commits] [maemo-commits] r18015 - projects/haf/trunk/ke-recv/src

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Mon Apr 6 10:45:22 EEST 2009
Author: kihamala
Date: 2009-04-06 10:45:05 +0300 (Mon, 06 Apr 2009)
New Revision: 18015

Modified:
   projects/haf/trunk/ke-recv/src/osso-mmc-mount.sh
Log:
replace the if with case


Modified: projects/haf/trunk/ke-recv/src/osso-mmc-mount.sh
===================================================================
--- projects/haf/trunk/ke-recv/src/osso-mmc-mount.sh	2009-04-06 07:29:55 UTC (rev 18014)
+++ projects/haf/trunk/ke-recv/src/osso-mmc-mount.sh	2009-04-06 07:45:05 UTC (rev 18015)
@@ -42,13 +42,15 @@
   PNUM=$(echo $PDEV | sed "s#/dev/mmcblk[01]p##")
   DEV=$(echo $PDEV | sed "s#p[1234]##")
   PID=$(sfdisk -c $DEV $PNUM)
-  if [ $PID = b -o $PID = c -o $PID = e -o $PID = 6 -o $PID = 4 -o \
-       $PID = 14 -o $PID = 16 -o $PID = 1b -o $PID = 1c -o $PID = 1e ]; then
-    logger "$0: $PDEV partition type is '$PID'"
-  else
-    logger "$0: $PDEV type '$PID' is not FAT32 or FAT16"
-    exit 1
-  fi
+  case "$PID" in
+    b | c | e | 4 | 6 | 14 | 16 | 1b | 1c | 1e)
+        logger "$0: $PDEV partition type is '$PID'"
+        ;;
+    *)
+        logger "$0: $PDEV type '$PID' is not FAT32 or FAT16"
+        exit 1
+        ;;
+  esac
 fi
 
 # time limited check


More information about the maemo-commits mailing list